For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTCreate custom action
      • DELDelete custom action
      • GETList actions
      • GETShow custom action details
      • PATCHUpdate custom action

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceCustom Actions

Create custom action

Deprecated
POST
https://api.frame.io/v4/accounts/:account_id/workspaces/:workspace_id/actions
POST
/v4/accounts/:account_id/workspaces/:workspace_id/actions
1from frameio_experimental import FrameioExperimental
2from frameio_experimental.custom_actions import ActionCreateParamsData
3
4client = FrameioExperimental(
5 token="YOUR_TOKEN_HERE",
6)
7
8client.custom_actions.actions_create(
9 account_id="e7fa0735-ecd0-455b-afb1-9776bff31777",
10 workspace_id="9215b728-64de-410d-8a87-b0b811793666",
11 api_version="experimental",
12 data=ActionCreateParamsData(
13 description="customizing our workflow",
14 event="my.event",
15 name="First Custom Action",
16 url="https://example.com/custom-action",
17 timeout=7,
18 ),
19)
1{
2 "data": {
3 "active": true,
4 "created_at": "2024-08-23T14:39:29.125812Z",
5 "creator_id": "76659802-cb9f-4354-96c7-16f40d32389f",
6 "deleted_at": null,
7 "description": "customizing our workflow",
8 "event": "my.event",
9 "id": "9f848b0a-b45b-4256-af36-12dafd691576",
10 "name": "First Custom Action",
11 "updated_at": "2024-08-23T14:39:29.125812Z",
12 "url": "https://example.com/custom-action",
13 "workspace_id": "03492109-ab1b-43cb-9550-bcafc4005f09",
14 "secret": "<secret>",
15 "multi_asset": true,
16 "timeout": 7
17 }
18}
Create a custom action in a workspace. <br/>This endpoint has been added to `Current Version` of the API. <br/>Please see https://next.developer.frame.io/platform/v4/api-reference/custom-actions/actions-create. <br/>Rate Limits: 10 calls per 1.00 minute(s) per account_user
Was this page helpful?
Previous

Delete custom action

Next

Create a custom action in a workspace.
This endpoint has been added to Current Version of the API.
Please see https://next.developer.frame.io/platform/v4/api-reference/custom-actions/actions-create.
Rate Limits: 10 calls per 1.00 minute(s) per account_user

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String
workspace_idstringRequiredformat: "uuid"
A UUID String

Headers

api-versionenumRequired
Allowed values:

Request

Action params
dataobjectRequired

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

Created
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error